<?php
/**
 * $Horde: luxor/index.php,v 1.10 2005/01/03 14:35:14 jan Exp $
 *
 * Copyright 2003-2005 Jan Schneider <jan@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('LUXOR_BASE', dirname(__FILE__));
$luxor_configured = (@is_readable(LUXOR_BASE . '/config/conf.php') &&
                     @is_readable(LUXOR_BASE . '/config/mime_drivers.php') &&
                     @is_readable(LUXOR_BASE . '/config/sources.php') &&
                     @is_readable(LUXOR_BASE . '/config/languages.php'));

if (!$luxor_configured) {
    require LUXOR_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('Luxor', LUXOR_BASE,
        array('conf.php', 'mime_drivers.php'),
        array('source.php' => 'This file lists the source trees to be cross-referenced.',
              'languages.php' => 'This file defines the languages that Luxor supports.'));
}

require LUXOR_BASE . '/source.php';
